Bug 194407 - Cannot change key bindings
Cannot change key bindings
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: eclipse-changelog (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kyu Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-07 16:21 EDT by Francis Kung
Modified: 2008-05-01 11:39 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-08 16:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug fix (1.28 KB, patch)
2006-06-08 10:08 EDT, Kyu Lee
no flags Details | Diff

  None (edit)
Description Francis Kung 2006-06-07 16:21:14 EDT
On Fedora Core 5, x86_64, viewing the Changelog key bindings (Window ->
Preferences -> Generak -> Keys) causes an error.

After displaying an error ("An error occurred, see error log"), the screen loads
but the keybinding for "Insert ChangeLog entry" does not have a category and
cannot be editted.  The rest of the keybindings on the list appear to be
working, so I suspect this may be a ChangeLog bug rather than an Eclipse bug.

From error log:
Problems occurred when invoking code from plug-in: "org.eclipse.jface".

java.lang.NullPointerException
   at
org.eclipse.ui.internal.keys.KeysPreferencePage.updateComboCommand(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.ui.internal.keys.KeysPreferencePage.update(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.ui.internal.keys.KeysPreferencePage.setVisible(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.jface.preference.PreferenceDialog.showPage(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.ui.internal.dialogs.FilteredPreferenceDialog.showPage(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.jface.preference.PreferenceDialog$8.selectionChanged(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.viewers.StructuredViewer$3.run(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.core.internal.runtime.InternalPlatform.run(org.eclipse.core.runtime_3.1.2.jar.so)
   at org.eclipse.core.runtime.Platform.run(org.eclipse.core.runtime_3.1.2.jar.so)
   at org.eclipse.ui.internal.JFaceUtil$1.run(org.eclipse.ui.workbench_3.1.2.jar.so)
   at org.eclipse.jface.util.SafeRunnable.run(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.viewers.StructuredViewer.firePostSelectionChanged(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.viewers.StructuredViewer.handlePostSelect(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.viewers.StructuredViewer$5.widgetSelected(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.util.OpenStrategy.firePostSelectionEvent(org.eclipse.jface_3.1.1.jar.so)
   at org.eclipse.jface.util.OpenStrategy.access$4(org.eclipse.jface_3.1.1.jar.so)
   at org.eclipse.jface.util.OpenStrategy$3.run(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.RunnableLock.run(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Synchronizer.runAsyncMessages(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Display.runAsyncMessages(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at org.eclipse.jface.window.Window.runEventLoop(org.eclipse.jface_3.1.1.jar.so)
   at org.eclipse.jface.window.Window.open(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.ui.internal.OpenPreferencesAction.run(org.eclipse.ui.workbench_3.1.2.jar.so)
   at org.eclipse.jface.action.Action.runWithEvent(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.handleWidgetSelection(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem.access$2(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.jface.action.ActionContributionItem$5.handleEvent(org.eclipse.jface_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.EventTable.sendEvent(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Widget.sendEvent(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Display.runDeferredEvents(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.swt.widgets.Display.readAndDispatch(org.eclipse.swt.gtk.linux.x86_64_3.1.1.jar.so)
   at
org.eclipse.ui.internal.Workbench.runEventLoop(org.eclipse.ui.workbench_3.1.2.jar.so)
   at org.eclipse.ui.internal.Workbench.runUI(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.ui.internal.Workbench.createAndRunWorkbench(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.ui.PlatformUI.createAndRunWorkbench(org.eclipse.ui.workbench_3.1.2.jar.so)
   at
org.eclipse.ui.internal.ide.IDEApplication.run(org.eclipse.ui.ide_3.1.1.jar.so)
   at
org.eclipse.core.internal.runtime.PlatformActivator$1.run(org.eclipse.core.runtime_3.1.2.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.1.2.jar.so)
   at
org.eclipse.core.runtime.adaptor.EclipseStarter.run(org.eclipse.osgi_3.1.2.jar.so)
   at java.lang.reflect.Method.invoke(libgcj.so.7)
   at org.eclipse.core.launcher.Main.invokeFramework(startup.jar.so)
   at org.eclipse.core.launcher.Main.basicRun(startup.jar.so)
   at org.eclipse.core.launcher.Main.run(startup.jar.so)
   at org.eclipse.core.launcher.Main.main(startup.jar.so)

eclipse.buildId=M20060118-1600
java.fullversion=GNU libgcj 4.1.0 20060304 (Red Hat 4.1.0-3)
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64
Comment 1 Ben Konrath 2006-06-07 16:33:42 EDT
Kyu, can you take a look at this when you have a chance? Thanks.
Comment 2 Kyu Lee 2006-06-08 10:07:50 EDT
In plugin.xml, category and categoryId was not set correctly.
Comment 3 Kyu Lee 2006-06-08 10:08:34 EDT
Created attachment 130745 [details]
Bug fix

Note You need to log in before you can comment on or make changes to this bug.